#ifndef BLOCK_DATA_H
#define BLOCK_DATA_H

#include <stdint.h>

#include "textureatlas.h"

#define BLOCK_SIZE 100

typedef uint8_t BLOCK;

extern const char *block_names[];
extern COLOR block_colors[];
extern TextureAtlasEntry *block_textures;

void init_blockData(TEXTURE *texture);
void uninit_blockData();

#endif // BLOCK_DATA_H
