#ifndef CHUNK_H
#define CHUNK_H

#include "gl.h"
#include "block_data.h"

class Chunk
{
public:
    Chunk(int x, int y, int z);
    ~Chunk();
    void render();
    static constexpr int SIZE = 16;

private:
    int x, y, z;
    BLOCK blocks[SIZE][SIZE][SIZE];
    VERTEX *buffer = nullptr;
    int buffer_length = 0;
    bool is_dirty = true;
};

#endif // CHUNK_H
