#include "textureatlas.h"

TextureAtlasEntry textureArea(int x, int y, int w, int h, TEXTURE *texture)
{
    GLFix uperpx = GLFix(1) / texture->width;
    GLFix vperpx = GLFix(1) / texture->height;

    TextureAtlasEntry ret = {
        .left = uperpx * x,
        .right = uperpx * (x+w),
        .top = vperpx * y,
        .bottom = vperpx * (y+h),
    };

    return ret;
}
